## org.codehaus.groovy.ast
Class ASTNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode

Direct Known Subclasses:
  AnnotatedNode, AnnotationNode, GenericsType, ModuleNode, Statement

    public class ASTNode

extends Object

Base class for any AST node

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`ASTNode()`

Method Summary
`int` `getColumnNumber()`
`int` `getLastColumnNumber()`
`int` `getLastLineNumber()`
`int` `getLineNumber()`
`String` `getText()`
`void` `setColumnNumber(int columnNumber)`
`void` `setLastColumnNumber(int lastColumnNumber)`
`void` `setLastLineNumber(int lastLineNumber)`
`void` `setLineNumber(int lineNumber)`
`void` `setSourcePosition(ASTNode node)` Sets the source position using another ASTNode.
`void` `visit(GroovyCodeVisitor visitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASTNode

    public ASTNode()

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

### getText

    public String getText()

### getLineNumber

    public int getLineNumber()

### setLineNumber

    public void setLineNumber(int lineNumber)

### getColumnNumber

    public int getColumnNumber()

### setColumnNumber

    public void setColumnNumber(int columnNumber)

### getLastLineNumber

    public int getLastLineNumber()

### setLastLineNumber

    public void setLastLineNumber(int lastLineNumber)

### getLastColumnNumber

    public int getLastColumnNumber()

### setLastColumnNumber

    public void setLastColumnNumber(int lastColumnNumber)

### setSourcePosition

    public void setSourcePosition(ASTNode node)

  Sets the source position using another ASTNode. The sourcePosition consists of a line/column pair for the start and a line/column pair for the end of the expression or statement

Copyright © 2003-2009 The Codehaus. All rights reserved.